MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027961Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-13 16:272016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027961: Visualization - remove unused and no more working OpenGl_AVIWriter
DescriptionOpenGl_AVIWriter is outdated and should be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025382closedkgv Visualization, TKOpenGl - improved video recording capability 

-  Notes
(0058674)
git (administrator)
2016-10-13 16:31

Branch CR27961 has been created by kgv.

SHA-1: 11f377905077c4568e6f0f2f7e8368d095c56684


Detailed log of new commits:

Author: kgv
Date: Thu Oct 13 16:28:34 2016 +0300

    0027961: Visualization - remove unused and no more working OpenGl_AVIWriter
(0058675)
kgv (developer)
2016-10-13 16:31

Patch is ready for review.
(0058691)
san (developer)
2016-10-13 19:43

Branch CR27961 reviewed without remarks, ready for testing.
(0058692)
kgv (developer)
2016-10-13 19:45

Please check building, regression testing is not needed.
(0058732)
git (administrator)
2016-10-14 15:02

Branch CR27961 has been updated forcibly by mkv.

SHA-1: 32d7cb780136cfe25309c862277ab67560ec8f99
(0058784)
mkv (tester)
2016-10-17 13:07

Dear BugMaster,
Branch CR27961 was rebased on current master of occt git-repository.
SHA-1: 32d7cb780136cfe25309c862277ab67560ec8f99
(0058785)
mkv (tester)
2016-10-17 13:07
edited on: 2016-10-17 13:08

Dear BugMaster,
Branch CR27961 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 32d7cb780136cfe25309c862277ab67560ec8f99

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1131

(0058786)
mkv (tester)
2016-10-17 13:07

Dear BugMaster,
Branch CR27961 is TESTED.
(0059476)
git (administrator)
2016-10-28 21:42

Branch CR27961 has been deleted by kgv.

SHA-1: 32d7cb780136cfe25309c862277ab67560ec8f99

- Related Changesets
occt: master 1be41799
Timestamp: 2016-10-13 13:28:34
Author: kgv
Committer: apn
Details ] Diff ]
0027961: Visualization - remove unused and no more working OpenGl_AVIWriter
mod - src/OpenGl/FILES Diff ] File ]
rm - src/OpenGl/OpenGl_AVIWriter.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_AVIWriter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/ViewerTest/FILES Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
rm - src/ViewerTest/ViewerTest_AviCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-13 16:27 kgv New Issue
2016-10-13 16:27 kgv Assigned To => kgv
2016-10-13 16:31 git Note Added: 0058674
2016-10-13 16:31 kgv Note Added: 0058675
2016-10-13 16:31 kgv Assigned To kgv => san
2016-10-13 16:31 kgv Status new => resolved
2016-10-13 16:31 kgv Relationship added child of 0025382
2016-10-13 19:43 san Note Added: 0058691
2016-10-13 19:43 san Assigned To san => bugmaster
2016-10-13 19:43 san Status resolved => reviewed
2016-10-13 19:45 kgv Note Added: 0058692
2016-10-14 13:22 mkv Assigned To bugmaster => mkv
2016-10-14 15:02 git Note Added: 0058732
2016-10-17 13:07 mkv Note Added: 0058784
2016-10-17 13:07 mkv Note Added: 0058785
2016-10-17 13:07 mkv Note Added: 0058786
2016-10-17 13:07 mkv Assigned To mkv => bugmaster
2016-10-17 13:07 mkv Status reviewed => tested
2016-10-17 13:07 mkv Test case number => Not needed
2016-10-17 13:08 mkv Note Edited: 0058785 View Revisions
2016-10-17 13:08 mkv Note Edited: 0058785 View Revisions
2016-10-21 11:25 apn Changeset attached => occt master 1be41799
2016-10-21 11:25 apn Assigned To bugmaster => apn
2016-10-21 11:25 apn Status tested => verified
2016-10-21 11:25 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059476
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker